#compendium {
	&.sidebar-tab.directory[data-tab='compendium'] {
		&.lil-compressed-compendium {
			li + li.compendium-type {
				margin-top: 0.3em;
			}

			li.compendium-pack {
				display: flex;
				flex-wrap: wrap;
				padding: 2px 3px;
				margin: 0;
				gap: 0.3rem;

				.pack-title {
					margin: 0;
					flex: 1 1;
					display: flex;

					a {
						flex: 1;
						overflow: hidden;
						//white-space: pre-wrap;
					}

					.status-icons {
						flex: 0;
						position: unset;
					}
				}

				label.source {
					flex-basis: 100%; // forces next line
					font-size: 7pt;
					line-height: 0.5;
					margin-left: 2.5em;
				}

				footer {
					span {
						flex: 0 1;
						padding: 0;

						&.document-type {
							display: none;
						}
					}

					.lil-type-icon {
					}

					.pack {
						text-shadow: 3px black;

						&.system {
							color: #7474b3;
						}

						&.module {
							color: #dbb062;
						}

						&.world {
							color: #5bab77;
						}
					}
				}

				a {
					display: flex;
					gap: 0.3rem;
				}

				.lil-document-count {
					display: inline-flex;
					height: 1rem;
					align-items: center;

					font-size: var(--font-size-11);
					line-height: 1;

					border: 1px solid hsl(198deg 25% 50%);
					background-color: hsl(215deg 74% 61% / 30%);
					border-radius: 0 0.5rem 0 0.5rem;

					padding: 0 0.2rem 0 0.35rem;
				}
			}
		}

		.lil-toggle-visibility {
			flex: 0;
			border: none;
			background: transparent;
			color: white;
			box-shadow: none;
			align-self: center;
			margin: 0;
			padding: 3px;
			line-height: 1;
			width: 16px;
			height: 16px;

			.visible-state,
			.hidden-state {
				margin: 0;
			}

			&.visibility-obscured .visible-state,
			&:not(.visibility-obscured) .hidden-state {
				display: none;
			}

			.visible-state {
				text-shadow: 5px red;
			}

			.hidden-state {
				text-shadow: 5px navy;
			}
		}

		&.lil-private-packs {
			.directory-list {
				.directory-item {
					&.private {
						background-color: #0077ff1a;
					}
				}

				&.lil-visibility-obscured {
					.directory-item {
						&.private {
							background-color: #0077ff1a;

							&:not([data-open='1']) {
								display: none;
							}
						}
					}
				}
			}
		}
	}
}
